# CoinWarmStartVectorPairDiff< T, U > Class Template Reference

`#include <CoinWarmStartVector.hpp>`

Inheritance diagram for CoinWarmStartVectorPairDiff< T, U >:
[legend]
Collaboration diagram for CoinWarmStartVectorPairDiff< T, U >:
[legend]

List of all members.

## Public Member Functions
| CoinWarmStartVectorPairDiff ()
| CoinWarmStartVectorPairDiff (const CoinWarmStartVectorPairDiff< T, U > &rhs)
virtual | ~CoinWarmStartVectorPairDiff ()
virtual CoinWarmStartVectorPairDiff & | operator= (const CoinWarmStartVectorPairDiff< T, U > &rhs)
virtual CoinWarmStartDiff * | clone () const
| `Virtual constructor'
void | swap (CoinWarmStartVectorPairDiff< T, U > &rhs)
void | clear ()
## Private Attributes
CoinWarmStartVectorDiff< T > | tdiff_
CoinWarmStartVectorDiff< U > | udiff_
## Friends
CoinWarmStartDiff * | CoinWarmStartVectorPair (const CoinWarmStart *const oldCWS) const
void | CoinWarmStartVectorPair (const CoinWarmStartDiff *const diff)

## Detailed Description

### template<typename T, typename U>
class CoinWarmStartVectorPairDiff< T, U >

Definition at line 283 of file CoinWarmStartVector.hpp.

## Constructor & Destructor Documentation

template<typename T, typename U>

CoinWarmStartVectorPairDiff< T, U >::CoinWarmStartVectorPairDiff | ( |  | ) | `[inline]`

Definition at line 295 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPairDiff< T, U >::CoinWarmStartVectorPairDiff | ( | const CoinWarmStartVectorPairDiff< T, U > & | rhs | ) | `[inline]`

Definition at line 296 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStartVectorPairDiff< T, U >::~CoinWarmStartVectorPairDiff | ( |  | ) | `[inline, virtual]`

Definition at line 298 of file CoinWarmStartVector.hpp.

## Member Function Documentation

template<typename T, typename U>

virtual CoinWarmStartVectorPairDiff& CoinWarmStartVectorPairDiff< T, U >::operator= | ( | const CoinWarmStartVectorPairDiff< T, U > & | rhs | ) | `[inline, virtual]`

Definition at line 301 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStartDiff* CoinWarmStartVectorPairDiff< T, U >::clone | ( |  | ) | const`[inline, virtual]`

`Virtual constructor'

Implements CoinWarmStartDiff.

Definition at line 309 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPairDiff< T, U >::swap | ( | CoinWarmStartVectorPairDiff< T, U > & | rhs | ) | `[inline]`

Definition at line 313 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPairDiff< T, U >::clear | ( |  | ) | `[inline]`

Definition at line 318 of file CoinWarmStartVector.hpp.

## Friends And Related Function Documentation

template<typename T, typename U>

CoinWarmStartDiff* CoinWarmStartVectorPair | ( | const CoinWarmStart *const | oldCWS | ) | const`[friend]`

template<typename T, typename U>

void CoinWarmStartVectorPair | ( | const CoinWarmStartDiff *const | diff | ) | `[friend]`

## Member Data Documentation

template<typename T, typename U>

CoinWarmStartVectorDiff<T> CoinWarmStartVectorPairDiff< T, U >::tdiff_`[private]`

Definition at line 291 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorDiff<U> CoinWarmStartVectorPairDiff< T, U >::udiff_`[private]`

Definition at line 292 of file CoinWarmStartVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.10.9/CoinUtils/src/CoinWarmStartVector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines